{Prewet test
On the first cycle the Pre_wet method should be started in a new cog and turn on a relay for 4 minutes,
then set the Pre_wet_done flag to 1. On the second cycle with the status flag set to 1, Wet_high should should
be started in the same cog and continue running.

Problems
The 240 sec timer doesn't always work
The Pre_wet_done flag isn't getting set
 


}
CON
  _clkmode = xtal1 + pll8x
  _xinfreq = 10_000_000


  Lcd_Pin       = 0           'P0 LCD tx output pin   
  pump          = 13          'Cooler pump relay
  fan_Low       = 14          'Cooler fan low relay
  fan_High      = 15          'Cooler fan high relay
  
  
VAR
  Long Relay_cog
  Long Relay_Stack[32]
  byte Pre_wet_done 
 
  
OBJ

  Lcd           : "Debug_Lcd"


 
Pub Prewet_test
  Lcd.init(Lcd_Pin, 19200,4)        'Initate LCD
  Lcd.cursor(0)                     'turn cursor off
  Lcd.cls                           'Clear screen, move cursor to 0,0                
  Lcd.str(string("Pre Wet Test"))   'output a startup message
  waitcnt(clkfreq * 5 + cnt)        'Wait 5 secs
  repeat
    Lcd.cls                           'Clear screen, move cursor to 0,0
    Pre_wet_done := 0                 'Used to set flag to 1 or 0 for testing
    Lcd.decx(Relay_cog,2)             'Display which cog is started
    Lcd.gotoxy(0,1)                   'Go to next line
    Lcd.decx(Pre_wet_done,2)          'Display status of Pre_wet_done before decision
    waitcnt(clkfreq + cnt)            'Delay so display is visible
    if Pre_wet_done == 1              'Check status of Pre_wet_done, start either Wet_high or Pre_wet
      cogstop(Relay_cog~ -1)          'Stop cog number of Relay_cog
      Relay_cog := cognew( Wet_high,@ Relay_Stack)+1  'Start Wet_high in new cog record cog # in Relay_cog
    else
      cogstop(Relay_cog~ -1)          'Stop cog number of Relay_cog 
'      Relay_cog := cognew( Prewet(Pre_wet_done),@ Relay_Stack)+1   'Start Pre_wet in new cog record cog # in Relay_cog
      Relay_cog := cognew( Prewet(@Pre_wet_done),@ Relay_Stack)+1   'tried this also
    Lcd.cls                           'Clear screen, move cursor to 0,0
    Lcd.decx(Relay_cog,2)             'Display which cog is started
    Lcd.gotoxy(0,1)                   'Go to next line
    Lcd.decx(Pre_wet_done,2)          'Display status of Pre_wet_done after decision
    waitcnt(clkfreq + cnt)            'Delay so display is visible 


Pub Prewet(Pre_wet_done2)
repeat 240                        'Repeat for 240 times = 4 minutes because of 1 second wait    
  Dira[13..15] :=%111             'Sets direction of pins 13-15 to output
  outa[13..15] :=%100             'Sets pin 13 high and pins 14 and 15 low
  waitcnt(clkfreq + cnt)          'Wait 1 second
Pre_wet_done2 := 1                'Set status of Pre_wet_done 


Pub Wet_high
repeat
  Dira[13..15] :=%111             'Sets direction of pins 13-15 to output
  outa[13..15] :=%101             'Sets pins 13 and 15 high and pin 14 low    